package shared

import (
	"git.smsvc.net/pomodoro/GoTomato/internal/metadata"
	"git.smsvc.net/pomodoro/GoTomato/pkg/models"
)

// The global state of the pomodoro
var State = models.ServerMessage{
	Mode:            "Idle",
	Settings:        DefaultPomodoroConfig,
	Session:         0,
	TimeLeft:        DefaultPomodoroConfig.Focus,
	Ongoing:         false,
	Paused:          false,
	ProtocolVersion: metadata.ProtocolVersion,
}

// The password needed to execute client commands or change the pomodoro config
var PomodoroPassword string
